#ifndef _PROFILEFERMENT_H
#define _PROFILEFERMENT_H

#include <QDialog>
#include <QtWidgets/QGridLayout>
#include <QtWidgets/QGroupBox>
#include <QtWidgets/QHBoxLayout>
#include <QtWidgets/QHeaderView>
#include <QtWidgets/QPushButton>
#include <QtWidgets/QTableWidget>

namespace Ui {
class ProfileFerments;
}

class ProfileFerments : public QDialog
{
    Q_OBJECT

public:
    explicit ProfileFerments(QWidget *parent = nullptr);
    ~ProfileFerments();

private slots:
    void on_insertButton_clicked();
    void on_editButton_clicked();
    void refreshTable(void);

private:
    QGridLayout *gridLayout;
    QTableWidget *tableFerments;
    QGroupBox *groupBox;
    QHBoxLayout *horizontalLayout;
    QPushButton *quitButton;
    QPushButton *insertButton;

    void edit(int recno);
};

#endif
